Package org.linphone.core

# Enum Class ChatMessage.State

java.lang.Object
java.lang.Enum<ChatMessage.State>
org.linphone.core.ChatMessage.State

All Implemented Interfaces:
  `Serializable`, `Comparable<ChatMessage.State>`, `Constable`

Enclosing interface:
  `ChatMessage`

public static enum ChatMessage.State extends Enum<ChatMessage.State>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Delivered`
Message successfully delivered and acknowledged by the server.
`DeliveredToUser`
Message successfully delivered an acknowledged by the remote user.
`Displayed`
Message successfully displayed to the remote user.
`FileTransferCancelling`
The user cancelled the file transfer.
`FileTransferDone`
File transfer has been completed successfully.
`FileTransferError`
Message was received and acknowledged but cannot get file from server.
`FileTransferInProgress`
File transfer is in progress.
`Idle`
Initial state.
`InProgress`
Delivery in progress.
`NotDelivered`
Message was not delivered.
`PendingDelivery`
Message is pending delivery.
`Queued`
Message cannot be sent right now and it is queued.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ChatMessage.State`
`fromInt(int value)`
`int`
`toInt()`
`static ChatMessage.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ChatMessage.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Idle

public static final ChatMessage.State Idle
Initial state.

### InProgress

public static final ChatMessage.State InProgress
Delivery in progress.

### Delivered

public static final ChatMessage.State Delivered
Message successfully delivered and acknowledged by the server.

### NotDelivered

public static final ChatMessage.State NotDelivered
Message was not delivered.

### FileTransferError

public static final ChatMessage.State FileTransferError
Message was received and acknowledged but cannot get file from server.

### FileTransferDone

public static final ChatMessage.State FileTransferDone
File transfer has been completed successfully.

### DeliveredToUser

public static final ChatMessage.State DeliveredToUser
Message successfully delivered an acknowledged by the remote user.

### Displayed

public static final ChatMessage.State Displayed
Message successfully displayed to the remote user.

### FileTransferInProgress

public static final ChatMessage.State FileTransferInProgress
File transfer is in progress.
If message is incoming its a download, otherwise its an upload.

### PendingDelivery

public static final ChatMessage.State PendingDelivery
Message is pending delivery.
It has been sent over the network but there have been an issue such as an error
on the channel.

### FileTransferCancelling

public static final ChatMessage.State FileTransferCancelling
The user cancelled the file transfer.

### Queued

public static final ChatMessage.State Queued
Message cannot be sent right now and it is queued.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ChatMessage.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ChatMessage.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ChatMessage.State fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()